Apache Jackrabbit 2.14.1 发布,包含修复与改进

Apache Jackrabbit 2.14.1 发布了,Apache Jackrabbit 2.14.1 是一个补丁版本,其中包含了对 Jackrabbit 2.14 的修复和改进。Jackrabbit 2.14.x 版本被认为是稳定的,并且可用于生产环境。

Changes in Jackrabbit 2.14.1

Bug

  • [JCR-4100] – jackrabbit-webdav: Scope implements equals() but not hashCode()

  • [JCR-4102] – jcr2dav: change polling thread sometimes dies with NPE

  • [JCR-4118] – RepositoryChecker creates invalid node names

  • [JCR-4121] – ConcurrentModificationException in InternalVersionHistoryImpl.fixLegacy()

  • [JCR-4133] – fix javadoc problems that are errors with JDK8

Task

  • [JCR-4104] – cleanup how command lines for test executions are constructed

  • [JCR-4106] – fix JCR API docs link

  • [JCR-4107] – Upgrade to httpclient 4.5.3

  • [JCR-4119] – Upgrade httpcomponents/httpmime to 4.5.3

  • [JCR-4122] – align parent pom references with Oak

  • [JCR-4129] – get rid of unused org.json dependency

  • [JCR-4134] – update build instructions wrt Java versions

发布主页下载地址

Read this article – 

Apache Jackrabbit 2.14.1 发布,包含修复与改进